# $Revision: 1.4 $, $Date: 2012/03/25 15:06:29 $
%define		status		stable
%define		pearname	Horde_View
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde View API
Name:		php-horde-Horde_View
Version:	1.0.1
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	ca2948aac29882d1a9a8ba0ca6ebde7a
URL:		https://github.com/horde/horde/tree/master/framework/View/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Support < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_Controller
Suggests:	php-horde-Horde_Routes
Suggests:	php-json
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Controller.*) pear(Horde/Routes.*)

%description
The Horde_View library provides a simple View pattern implementation.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

mv docs/Horde_View/examples .

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%doc docs/Horde_View/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/View.php
%{php_pear_dir}/Horde/View
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_View.spec,v $
Revision 1.4  2012/03/25 15:06:29  glen
- up to 1.0.1

Revision 1.3  2011/05/03 05:26:52  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:38  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:14  glen
- horde h4 pear packages
